---
names: 
  full: "Google Cloud PostgreSQL Instance Log_connections Database Flag is not set to On"
  contextual: "PostgreSQL Instance Log_connections Database Flag is not set to On"
description: "Enabling the log_connections setting causes each attempted connection to the server \
 to be logged, along with successful completion of client authentication. This parameter cannot be \
 changed after the session starts."
type: COMPLIANCE_POLICY
categories:
  - "RELIABILITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/02/02
  - /frameworks/cloudaware/resource-reliability/system-configuration
  - /frameworks/nist-sp-800-53-r5/au/12
  - /frameworks/nist-sp-800-53-r5/au/03
  - /frameworks/nist-sp-800-53-r5/au/07
  - /frameworks/pci-dss-v4.0/10/02/01
  - /frameworks/pci-dss-v4.0/10/02/01/02
  - /frameworks/pci-dss-v4.0/10/02/01/05
  - /frameworks/pci-dss-v4.0/09/04/05
  - /frameworks/iso-iec-27001-2022/05/28
  - /frameworks/nist-csf-v1.1/de-ae/03
  - /frameworks/nist-csf-v1.1/de-cm/01
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc7/02/01
  - /frameworks/soc-2/cc7/02/02
  - /frameworks/soc-2/cc7/02/03
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity/knowledge-base/gcp/CloudSQL/enable-log-connections-flag.html"
      name: "Enable 'log_connections' Flag for PostgreSQL Database Instances"
